C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri1013
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 1013 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 1013 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI1013 100 layer grid, 0.005 - 1013 mb'/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $     /  0.0050,    0.0123,    0.0274,    0.0565,    0.1082,
     $        0.1940,    0.3277,    0.5248,    0.8011,    1.1714,
     $        1.6480,    2.2392,    2.9492,    3.7769,    4.7167,
     $        5.7586,    6.8895,    8.1995,    9.7093,   11.4407,
     $       13.4166,   15.6611,   18.1989,   21.0559,   24.2581,
     $       27.8325,   31.8061,   36.2062,   41.0599,   46.3942,
     $       52.2355,   58.6097,   65.5419,   73.0559,   81.1747,
     $       89.9196,   99.3105,  109.3656,  120.1014,  131.5322,
     $      143.6704,  156.5263,  170.1078,  184.4208,  199.4688,
     $      215.2527,  231.7716,  249.0219,  266.9979,  285.6915/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 305.0927,  325.1892,  345.9668,  367.4093,  389.4987,
     $      412.2155,  435.5382,  459.4442,  483.9095,  508.9089,
     $      534.4160,  560.4036,  586.8437,  613.7075,  640.9658,
     $      668.5890,  696.5470,  724.8098,  753.3470,  779.5936,
     $      803.6340,  825.5735,  845.5308,  863.6330,  880.0107,
     $      894.7947,  908.1133,  920.0905,  930.8444,  940.4865,
     $      949.1210,  956.8447,  963.7469,  969.9097,  975.4080,
     $      980.3102,  984.6783,  988.5684,  992.0310,  995.1120,
     $      997.8523, 1000.2889, 1002.4546, 1004.3793, 1006.0892,
     $     1007.6080, 1008.9569, 1010.1547, 1011.2181, 1012.1621,
     $     1013.0000/
       END
