C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri1033
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 1033 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 1033 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI1033 100 layer grid, 0.005 - 1033 mb'/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $    /   0.0050,    0.0123,    0.0275,    0.0567,    0.1088,
     $        0.1951,    0.3299,    0.5287,    0.8077,    1.1817,
     $        1.6633,    2.2612,    2.9794,    3.8171,    4.7686,
     $        5.8240,    6.9696,    8.2972,    9.8276,   11.5832,
     $       13.5872,   15.8641,   18.4393,   21.3389,   24.5898,
     $       28.2192,   32.2550,   36.7248,   41.6564,   47.0773,
     $       53.0147,   59.4950,   66.5437,   74.1855,   82.4437,
     $       91.3403,  100.8956,  111.1284,  122.0555,  133.6917,
     $      146.0498,  159.1404,  172.9718,  187.5500,  202.8787,
     $      218.9592,  235.7904,  253.3690,  271.6890,  290.7426/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 310.5195,  331.0072,  352.1914,  374.0557,  396.5818,
     $      419.7497,  443.5377,  467.9229,  492.8806,  518.3851,
     $      544.4098,  570.9268,  597.9074,  625.3225,  653.1422,
     $      681.3361,  709.8737,  738.7241,  767.8567,  794.6523,
     $      819.1969,  841.5975,  861.9752,  880.4592,  897.1830,
     $      912.2797,  925.8806,  938.1118,  949.0939,  958.9409,
     $      967.7590,  975.6470,  982.6961,  988.9902,  994.6057,
     $      999.6124, 1004.0736, 1008.0466, 1011.5832, 1014.7299,
     $     1017.5287, 1020.0173, 1022.2293, 1024.1951, 1025.9415,
     $     1027.4928, 1028.8705, 1030.0939, 1031.1801, 1032.1442,
     $     1033.0000/
       END
