C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri667
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 667 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 667 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI667 100 layer grid, 0.005 - 667 mb  '/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $    /   0.0050,    0.0119,    0.0259,    0.0520,    0.0974,
     $        0.1712,    0.2840,    0.4476,    0.6734,    0.9720,
     $        1.3516,    1.8173,    2.3711,    3.0109,    3.7317,
     $        4.5251,    5.3806,    6.3656,    7.4943,    8.7813,
     $       10.2420,   11.8923,   13.7486,   15.8278,   18.1469,
     $       20.7231,   23.5739,   26.7165,   30.1680,   33.9452,
     $       38.0644,   42.5415,   47.3916,   52.6291,   58.2674,
     $       64.3191,   70.7955,   77.7068,   85.0619,   92.8686,
     $      101.1330,  109.8601,  119.0533,  128.7144,  138.8439,
     $      149.4409,  160.5029,  172.0260,  184.0048,  196.4326/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 209.3014,  222.6020,  236.3238,  250.4552,  264.9834,
     $      279.8949,  295.1750,  310.8082,  326.7784,  343.0686,
     $      359.6616,  376.5392,  393.6833,  411.0752,  428.6958,
     $      446.5262,  464.5470,  482.7391,  501.0834,  517.9341,
     $      533.3514,  547.4077,  560.1829,  571.7616,  582.2301,
     $      591.6742,  600.1777,  607.8210,  614.6809,  620.8292,
     $      626.3331,  631.2551,  635.6524,  639.5777,  643.0790,
     $      646.2003,  648.9809,  651.4569,  653.6606,  655.6212,
     $      657.3648,  658.9150,  660.2928,  661.5171,  662.6047,
     $      663.5708,  664.4287,  665.1905,  665.8668,  666.4672,
     $      667.0000/
       END
