C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri680
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 680 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 680 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI680 100 layer grid, 0.005 - 680 mb  '/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $    /   0.0050,    0.0119,    0.0259,    0.0522,    0.0979,
     $        0.1722,    0.2859,    0.4509,    0.6789,    0.9804,
     $        1.3640,    1.8349,    2.3951,    3.0426,    3.7723,
     $        4.5757,    5.4423,    6.4405,    7.5845,    8.8893,
     $       10.3705,   12.0445,   13.9279,   16.0379,   18.3918,
     $       21.0074,   23.9024,   27.0943,   30.6006,   34.4386,
     $       38.6249,   43.1758,   48.1067,   53.4324,   59.1667,
     $       65.3223,   71.9110,   78.9432,   86.4282,   94.3738,
     $      102.7865,  111.6714,  121.0320,  130.8704,  141.1871,
     $      151.9813,  163.2504,  174.9905,  187.1963,  199.8611/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 212.9766,  226.5336,  240.5212,  254.9278,  269.7404,
     $      284.9451,  300.5270,  316.4704,  332.7588,  349.3750,
     $      366.3012,  383.5193,  401.0103,  418.7555,  436.7353,
     $      454.9303,  473.3210,  491.8876,  510.6107,  527.8104,
     $      543.5477,  557.8964,  570.9379,  582.7585,  593.4459,
     $      603.0878,  611.7697,  619.5735,  626.5775,  632.8550,
     $      638.4749,  643.5004,  647.9904,  651.9985,  655.5737,
     $      658.7607,  661.6001,  664.1284,  666.3786,  668.3806,
     $      670.1610,  671.7440,  673.1509,  674.4011,  675.5118,
     $      676.4983,  677.3743,  678.1522,  678.8428,  679.4559,
     $      680.0000/
       END
