C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri693
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 693 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 693 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI693 100 layer grid, 0.005 - 693 mb  '/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $    /   0.0050,    0.0119,    0.0260,    0.0524,    0.0984,
     $        0.1732,    0.2878,    0.4542,    0.6842,    0.9888,
     $        1.3763,    1.8524,    2.4189,    3.0740,    3.8125,
     $        4.6260,    5.5037,    6.5148,    7.6740,    8.9965,
     $       10.4982,   12.1957,   14.1060,   16.2466,   18.6353,
     $       21.2901,   24.2290,   27.4700,   31.0311,   34.9297,
     $       39.1829,   43.8073,   48.8188,   54.2325,   60.0624,
     $       66.3217,   73.0224,   80.1753,   87.7899,   95.8742,
     $      104.4349,  113.4774,  123.0052,  133.0207,  143.5244,
     $      154.5154,  165.9915,  177.9485,  190.3812,  203.2828/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 216.6449,  230.4581,  244.7117,  259.3934,  274.4903,
     $      289.9882,  305.8720,  322.1256,  338.7323,  355.6745,
     $      372.9342,  390.4928,  408.3311,  426.4297,  444.7690,
     $      463.3291,  482.0899,  501.0314,  520.1335,  537.6826,
     $      553.7404,  568.3818,  581.6900,  593.7526,  604.6594,
     $      614.4993,  623.3596,  631.3242,  638.4725,  644.8795,
     $      650.6153,  655.7447,  660.3275,  664.4183,  668.0676,
     $      671.3206,  674.2187,  676.7993,  679.0962,  681.1396,
     $      682.9570,  684.5728,  686.0089,  687.2850,  688.4186,
     $      689.4257,  690.3199,  691.1139,  691.8188,  692.4446,
     $      693.0000/
       END
