C=======================================================================
C=======================================================================
C
C              University of Maryland Baltimore County [UMBC]
C
C              AIRS
C
C              CBPLEV_aeri993
C
!F77====================================================================

!ROUTINE NAME: CBPLEV

!ABSTRACT:
C    Common Block for PLEV
C    This version for AERI layers starting at 993 mb

!CALL PROTOCOL: none

!INPUT PARAMETERS: none

!OUTPUT PARAMETERS: none

!INPUT/OUTPUT PARAMETERS: none

!RETURN VALUES: none

!PARENT(S):
C    KLAYERS

!ROUTINES CALLED: none

!FILES ACCESSED: none

!COMMON BLOCKS: none

!DESCRIPTION:
C    Assign values to PLEV

!ALGORITHM REFERENCES: see DESCRIPTION

!KNOWN BUGS AND LIMITATIONS: none

!ROUTINE HISTORY:
C    Date     Programmer        Comments
C------------ ----------------- ----------------------------------------
C 15 Nov 2000 Scott Hannon      PLEV moved from klayers.f to here
C 19 Jul 2001 Scott Hannon      Create version for AERI 993 mb
C 20 Nov 2001 Scott Hannon      Add NAMGRD

!END====================================================================

C      =================================================================
       BLOCK DATA CBPLEV
C      =================================================================
C
C-----------------------------------------------------------------------
C      IMPLICIT NONE
C-----------------------------------------------------------------------
       IMPLICIT NONE

C-----------------------------------------------------------------------
C      INCLUDE FILES
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXTERNAL FUNCTIONS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      ARGUMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      LOCAL VARIABLES
C-----------------------------------------------------------------------
       INTEGER I  ! generic looping variable

C-----------------------------------------------------------------------
C      SAVE STATEMENTS
C-----------------------------------------------------------------------
C      none

C-----------------------------------------------------------------------
C      EXECUTABLE CODE
C-----------------------------------------------------------------------
C      none; common block data
C
C      Edit as needed, but PLEV must match NBPLEV in incLAY.f
C      PLEV must be in mb or hPa (these are equivalent), and sorted
C      so that level 1 is the max pressure and NLEV is the min.
C***********************************************************************
C***********************************************************************
       COMMON /COMLEV/ NAMGRD, PLEV
C
       CHARACTER*40 NAMGRD
       REAL PLEV(101)
C
C      NAMGRD is the name of the layering grid
C      template    /'1234567890123456789012345678901234567890'/
       DATA NAMGRD /'AERI993 100 layer grid, 0.005 - 993 mb  '/
C
       DATA  ( PLEV(I), I = 101, 52, -1 )
     $    /   0.0122,    0.0270,    0.0553,    0.1053,    0.1877,
     $        0.3155,    0.5031,    0.7651,    1.1149,    1.5636,
     $        2.1187,    2.7835,    3.5567,    4.4328,    5.4023,
     $        6.4526,    7.6682,    9.0680,   10.6721,   12.5016,
     $       14.5788,   16.9267,   19.5690,   22.5304,   25.8357,
     $       29.5103,   33.5799,   38.0700,   43.0060,   48.4133,
     $       54.3164,   60.7394,   67.7056,   75.2371,   83.3550,
     $       92.0790,  101.4274,  111.4168,  122.0623,  133.3769,
     $      145.3720,  158.0566,  171.4381,  185.5215,  200.3097,
     $      215.8037,  232.0021,  248.9014,  266.4961,  284.7787/
       DATA  ( PLEV(I), I = 51, 1, -1 )
     $    / 303.7395,  323.3670,  343.6479,  364.5671,  386.1076,
     $      408.2512,  430.9779,  454.2666,  478.0947,  502.4388,
     $      527.2742,  552.5754,  578.3163,  604.4699,  631.0089,
     $      657.9054,  685.1313,  712.6583,  740.4579,  766.0176,
     $      789.4222,  810.7758,  830.1956,  847.8067,  863.7372,
     $      878.1152,  891.0663,  902.7114,  913.1661,  922.5389,
     $      930.9315,  938.4382,  945.1461,  951.1350,  956.4780,
     $      961.2413,  965.4855,  969.2651,  972.6293,  975.6227,
     $      978.2849,  980.6520,  982.7560,  984.6257,  986.2868,
     $      987.7623,  989.0726,  990.2361,  991.2691,  992.1861,
     $      993.0000/
       END
